#
# spec file for package kernel-firmware-i915
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?suse_version} < 1550
%define _firmwaredir /lib/firmware
%endif
%define __ksyms_path ^%{_firmwaredir}
%define git_version 44740031a34e61a47162f94961e3155c8c8470e2

Name:           kernel-firmware-i915
Version:        20250306
Release:        0
Summary:        Kernel firmware files for Intel i915 graphics driver
License:        GPL-2.0-or-later AND SUSE-Firmware
Group:          System/Kernel
URL:            https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/
Source0:        %{name}-%{version}.tar.xz
# URL:          https://github.com/openSUSE/kernel-firmware-tools/
Source1:        kernel-firmware-tools-20250303.tar.xz
Source2:        %{name}-rpmlintrc
Source3:        git_id
Source10:       aliases
BuildRequires:  suse-module-tools
Requires(post): %{_bindir}/mkdir
Requires(post): %{_bindir}/touch
Requires(postun): %{_bindir}/mkdir
Requires(postun): %{_bindir}/touch
Requires(post): dracut >= 049
Conflicts:      kernel < 5.3
Conflicts:      kernel-firmware-uncompressed
BuildArch:      noarch
%if 0%{?suse_version} >= 1550
# make sure we have post-usrmerge filesystem package on TW
Conflicts:      filesystem < 84
%endif
Supplements:    modalias(pci:v00008086d00000042sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000046sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000102sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000106sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000010Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000112sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000116sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000122sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000126sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000152sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000156sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000015Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000162sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000166sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000016Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000016Asv0000152Dsd00008990bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000402sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000406sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000040Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000040Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000040Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000412sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000416sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000041Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000041Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000041Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000422sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000426sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000042Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000042Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000042Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A02sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A06sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A0Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A0Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A0Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A12sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A16sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A1Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A1Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A1Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A22sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A26sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A2Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A2Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A2Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000A84sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C02sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C06sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C0Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C0Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C0Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C12sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C16sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C1Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C1Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C1Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C22sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C26sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C2Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C2Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000C2Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D02sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D06sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D0Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D0Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D0Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D12sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D16sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D1Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D1Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D1Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D22sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D26sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D2Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D2Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000D2Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000F30sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000F31sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000F32sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00000F33sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001602sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001606sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000160Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000160Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000160Dsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000160Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001612sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001616sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000161Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000161Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000161Dsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000161Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001622sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001626sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000162Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000162Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000162Dsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000162Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001632sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001636sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000163Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000163Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000163Dsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000163Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001902sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001906sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000190Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000190Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000190Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001912sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001913sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001915sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001916sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001917sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000191Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000191Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000191Dsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000191Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001921sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001923sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001926sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001927sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000192Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000192Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000192Dsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001932sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000193Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000193Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000193Dsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001A84sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00001A85sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000022B0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000022B1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000022B2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000022B3sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002562sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002572sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002582sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000258Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002592sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002772sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000027A2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000027AEsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002972sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002982sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002992sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000029A2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000029B2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000029C2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000029D2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002A02sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002A12sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002A42sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002E02sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002E12sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002E22sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002E32sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002E42sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00002E92sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003184sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003185sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003577sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003582sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000358Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003E90sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003E91sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003E92sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003E93sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003E94sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003E96sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003E98sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003E99sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003E9Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003E9Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003E9Csv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003EA0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003EA1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003EA2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003EA3sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003EA4sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003EA5sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003EA6sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003EA7sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003EA8sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00003EA9sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004541sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004551sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004555sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004557sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004570sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004571sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004626sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004628sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000462Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004680sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004682sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004688sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000468Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000468Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004690sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004692sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004693sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046A0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046A1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046A2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046A3sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046A6sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046A8sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046AAsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046B0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046B1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046B2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046B3sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046C0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046C1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046C2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046C3sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046D0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046D1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046D2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046D3sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000046D4sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004905sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004906sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004907sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004908sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004909sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004C80sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004C8Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004C8Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004C8Csv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004C90sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004C9Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004E51sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004E55sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004E57sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004E61sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00004E71sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005690sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005691sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005692sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005693sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005694sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005695sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005696sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005697sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056A0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056A1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056A2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056A3sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056A4sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056A5sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056A6sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056B0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056B1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056B2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056B3sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056BAsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056BBsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056BCsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056BDsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056BEsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056BFsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056C0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056C1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000056C2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005902sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005906sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005908sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000590Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000590Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000590Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005912sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005913sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005915sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005916sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005917sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000591Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000591Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000591Csv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000591Dsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000591Esv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005921sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005923sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005926sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005927sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000593Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005A84sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00005A85sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00006420sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000064A0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000064B0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00007D40sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00007D41sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00007D45sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00007D51sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00007D55sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00007D60sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00007D67sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00007DD1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00007DD5sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000087C0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d000087CAsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A50sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A51sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A52sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A53sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A54sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A56sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A57sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A58sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A59sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A5Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A5Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A5Csv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A5Dsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A70sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00008A71sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009A40sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009A49sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009A59sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009A60sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009A68sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009A70sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009A78sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009AC0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009AC9sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009AD9sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009AF8sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009B21sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009B41sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BA2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BA4sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BA5sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BA8sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BAAsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BACsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BC2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BC4sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BC5sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BC6sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BC8sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BCAsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BCCsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BE6sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d00009BF6sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A001sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A011sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A720sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A721sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A780sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A781sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A782sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A783sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A788sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A789sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A78Asv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A78Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A7A0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A7A1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A7A8sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A7A9sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A7AAsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A7ABsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A7ACsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000A7ADsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000B080sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000B081sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000B082sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000B090sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000B091sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000B092sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000B0A0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000B0A1sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000B0A2sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000B0B0sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000B640sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000E202sv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000E20Bsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000E20Csv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000E20Dsv*sd*bc03sc*i*)
Supplements:    modalias(pci:v00008086d0000E212sv*sd*bc03sc*i*)

%description
This package contains kernel firmware files for Intel i915 graphics driver.

%prep
%autosetup -a1 -p1
# strip down WHENCE for the topic
scripts/strip-topic-whence.sh i915 < WHENCE > WHENCE.new
mv WHENCE.new WHENCE

%build
# nothing to do

%install
./copy-firmware.sh -v --xz -j1 %{buildroot}%{_firmwaredir}
scripts/install-licenses.sh i915 %{buildroot}%{_licensedir}/%{name}
install -c -D -m 0644 WHENCE %{buildroot}%{_licensedir}/%{name}/WHENCE
install -c -D -m 0644 README.md %{buildroot}%{_docdir}/%{name}/README.md

%post
%{?regenerate_initrd_post}

%postun
%{?regenerate_initrd_post}

%posttrans
%{?regenerate_initrd_posttrans}

%files
%doc %{_docdir}/%{name}
%license %{_licensedir}/%{name}
%{_firmwaredir}

%changelog
